<?php
require 'config.php';
require '2017-06-21-humour.cfg.php';
require 'templates/blog-header.php';
?>
<p>In many countries in the West xenophobia has been rising, yet I have not seen this kind of behaviour in Andalusia. This made me wonder why it was that in Andalusia people weren't as affected as in (for example) the rest of Europe or the USA. Of course, the only thing I can really compare to is the Mid-West in the USA, since that's the only other place I've lived. However, with this I've noticed one key difference between the two: in Andalusia humour is not limited while in the Mid-West humour must bend to what is considered 'socially acceptable'.</p>

<p>Humour, especially satire, serves the purpose of allowing us to look at things from a critical and comical perspective, but by using humour we also allow ourselves to look upon our own beliefs in this critical and comical way. It is also a sign that we can loosen up around someone, if I can tell jokes to a person then I feel more comfortable around them, I feel like I don't have to censor myself, free to speak my mind. This is very good for relieving tensions, since we'll feel more comfortable and amiable.</p>

<p>For this reason I feel that one of the elements relieving Andalusia from this rise in xenophobia is precisely that we have no problem making fun of the beliefs, customs, traditions, and stereotypes of other peoples. These kinds of things would be considered extremely offensive in places like the Mid-West, yet for Andalusia it's extremely normal. It's normal to hear racist jokes in Andalusia, it's normal to hear jokes about one's beliefs, it's normal to hear all of these things, yet Andalusians haven't shown any major signs of actual xenophobia towards immigrants. What's more, not only do Andalusians make fun of foreign cultures, traditions, beliefs, and stereotypes, but also (quite often) of their own, which to me shows the ability to laugh at oneself. This is then reflected when the immigrants themselves laugh at jokes about their own culture, and continue to make such jokes themselves.</p>

<p>However, another key aspect about the Andalusian humour is that, although it makes fun of traditions, beliefs, customs, and stereotypes, it's always done in a very general manner. If I make fun of Catholicism with my Catholic friend, I'm not insulting him, or attacking him, or even attacking his beliefs, but rather I am simply making fun of something abstract. This is where it should be pointed out that humour in Andalusia isn't used necessarily to hurt people or attack them, but rather just to have fun and joke around, but this also has to do with the person receiving the joke. They must understand that the joke is not directed towards them, that it is not an attack on them, but simply a way of showing friendship or amiability.</p>

<p>It is rare in Andalusia to find someone who has bad-intentions and expresses them in a subtle way, if someone dislikes you then you will know. In the Mid-West, however, this is completely hidden. People prefer not to show any signs of dislike towards another person, it's seen as 'rude', when in reality it just allows for the typical scenario where you act like you enjoy the company of another person, but in reality you detest it, and the more this person hangs around you (because you're acting friendly towards them) the more you detest them. What's more, since people tend to tell others about those who they dislike (while at the same time not telling that same person and acting friendly towards them) it creates a large web of ill-intention where no one will admit directly, but everyone feels the tension. Now combine this with the societal pressure to remain politically correct and watch what you say lest you hurt the other person's feelings. Looking at this from the situation of mass immigration, and you can clearly see how the stance taken in the Mid-West to silence any 'offensive' views or speech is quite damaging, and if anything causes people to become more frustrated than they might already be, and because they are not allowed to indulge in any sort of humour in order to relieve this tension and even build up amiable relationships with the immigrants because of it, we see that more and more people get agitated.</p>

<p>For this reason I think it is important that we do not limit humour nor speech, and instead we should embrace humour that is critical of our beliefs and opinions, to accept that stereotypes exist and for a reason. Otherwise we're only worsening the issue at hand.</p>


<?php
require 'templates/blog-footer.php';
?>