<?php
require 'config.php';
require '2020-11-26-reverence-for-authority.cfg.php';
require 'templates/blog-header.php';
?>
<p>Some time ago I was at the bar with some of my friends, and the topic
came up about signs of reverence during the Mass, in particular kneeling
in order to receive Communion, and the importance of receiving Communion
on the tongue (as opposed to on the hand). It was at this point that I
explained my usual bit about both the facilitation of sacrilege to the
Holiest of Sacraments when Communion in the hand is made common-place,
but also the possible scandal that can occur for an observer who may be
doubting the true presence of Christ in the Eucharist. I suspect,
however, that my explanations did little good and were not too
convincing. Not because there was any flaw in my reasoning, nor because
my friend was incapable of understanding it, but because I had
completely missed what he was truly asking: why is reverence to
authority - in particular the highest authority which is Jesus Christ -
so important? In particular, he had asked about <i>physical</i>
reverence. I will go over this here, although I hope to have the chance
to bring it up to him as well sometime in the near future.</p>

<p>To start, I would like to make some semantic clarifications with
regards to the term "reverence". Reverence is always something that is
demonstrated outwardly, because on its own it is not a feeling as
respect is, but rather it is the outward demonstration of respect. Hence
I do not enjoy referring to <i>physical</i> reverence, since reverence
is in itself <i>physical</i> in the sense that it is always demonstrated
outwardly. This is true not only in English (the language in which I am
writing this article), but also in Spanish (the language in which I was
speaking with this friend). Therefore, reverence is always a display of
respect, but not the respect itself.</p>

<p>So why then must we demonstrate respect outwardly? Why must we
<i>revere</i> our authorities, and most importantly the highest of all
authorities, Jesus Christ? Especially in the case of Jesus, does He not
know of our respect for Him that we hold in our hearts? Why does He need
us to show Him reverence?</p>

<p>To answer this, I'd say it's important to ask why we outwardly
demonstrate any kind of emotion. For it is not only respect that we
should demonstrate outwardly. Take love as an example. When we truly
love someone - parents, siblings, children, one's spouse, friends, etc.
- it is of no doubt to anyone that we should show our love in a physical
manner; we embrace them, we kiss them, we hold their hands through tough
times, and we throw our arms around their shoulder, we give them kind
words of encouragement or words of correction when they make mistakes.
Why? Does a mother not know that her child loves her? Do children not
know they are loved by their parents? It is because our feelings are
worth nothing if not expressed in our words and our actions. And even
the tiniest of gestures of affection can make the biggest
difference.</p>

<p>So returning to the topic of reverence, we must show reverence for
our Lord because, just like love, our respect for Him is worth nothing
if we keep it to ourselves. He knows what we hold in our hearts, but if
that is truly what we hold for Him, then we should be looking for every
excuse to show Him those feelings, whether in private or in public, in
small or big ways.</p>

<p>Therefore, every time you go to a church, or pray a Rosary, or the
Liturgy of the Hours, or in any way address our Lord, take a bow, take a
kneel. Show Him and all those around you that Christ is the Lord and
deserving of the highest reverence, above that of any king, for He is
King of kings. All nations, all creatures, all authorities shall bow
down before Him. And perhaps most importantly, when during the Mass you
go up to receive the Holiest of Sacraments, the Corpus Christi, if there
is nothing impeding you, kneel to receive our Lord. Whether or not you
receive Communion on the tongue, you can always receive Him
kneeling.</p>

<?php
require 'templates/blog-footer.php';
?>