<?php
require 'config.php';
require '2021-02-12-an-analogy-for-purgatory.cfg.php';
require 'templates/blog-header.php';
?>
<p>Purgatory is perhaps one of the most misunderstood Catholic doctrine.
So much so that even many Catholics have difficulty understanding it.
Protestants will err in saying that it's a sort of waiting room before a
soul enters Heaven, and Eastern Orthodox will err in saying that
Catholics believe it's a light version of Hell. Both of these, however,
miss the target, despite the true meaning being in the name itself:
purging or purification.</p>

<blockquote>
	"All who die in God's grace and friendship, but still imperfectly
	purified, are indeed assured of their eternal salvation; but after
	death they undergo purification, so as to achieve the holiness
	necessary to enter the joy of heaven. The Church gives the name
	Purgatory to this final purification of the elect, which is entirely
	different from the punishment of the damned."<br />
	- <i>Catechism of the Catholic Church</i> § 1030-1031
</blockquote>

<p>Even so, the concept of Purgatory can still be difficult to
understand: if God has forgiven me of my sins, why must I go through a
process of purification? I believe this difficulty with the concept of
Purgatory is the product of something I've mentioned in my previous
post about <i>Sin &amp; Hell</i>. Although "[Sin] is an offense against
God"<sup><a href="#r1" >[1]</a></sup>, it would seem we're sometimes
limited to believing it is only this, when in reality sin has a real
negative effect on our immortal souls, causing deformities to the image
&amp; likeness of God in which we were all created. This is similar to
how when a child misbehaves: although the child suffers first-hand the
consequences of his actions, his bad behaviour is an offense to his
father who raised him better. As such, if sin causes injury to our
souls, then our souls will also require healing, not just forgiveness of
our Heavenly Father. As such, Purgatory is not simply a <i>tiny
hell</i>, as it's not a question of punishment.</p>

<p>Yet, sometimes the process for healing and purification can be more
painful than the injury itself. Hence why Purgatory is not a waiting
room, but rather a place where those who find themselves there are cured
back to that perfect image &amp; likeness which they were created with.
This process can be painful. To give an analogous anecdote, recently I
had cut my hand with a knife; the injury itself hardly hurt, but the
process of cleaning it and mending it hurt many times more than the
injury itself. If this is true for physical wounds, why would it not be
true for wounds of the soul? Our souls require healing and
purification.</p>

<label id="r1" >[1]</label> <i>Catechism of the Catholic Church</i> § 1871

<?php
require 'templates/blog-footer.php';
?>