<?php
require 'config.php';
require '2021-09-24-trent-horn-capitalism-and-socialism.cfg.php';
require 'templates/blog-header.php';
?>
<p>Perhaps one of my favorite Catholic Apologists is Trent Horn. He does an
amazing job at calmly and concisely explaining Catholic doctrines on Faith &amp;
Morals in a very rational manner. He has been fundamental in my formation as a
Catholic, and I pray God will provide him with what he needs to continue his
wonderful work.</p>

<p>All this being said, there is one area where I have a small discrepancy with
Mr. Horn, which lies in his understanding and personal definitions for the terms
<i>Socialism</i> and <i>Capitalism</i>. This is not because I disagree with his
position - that no good Catholic can be a Socialist - but rather that, in
misunderstanding and misrepresenting what Socialism is, we give way for
confusion in what the Church actually teaches. So I'd like to make some
clarifying statements on his definitions, basing myself on a segment from an
interview he did on the channel
<i>Pints with Aquinas</i>.<sup><a href="#r1" >[1]</a></sup></p>

<p>The best place to start, as it will later help us in defining Capitalism, is
with Mr. Horn's definition of Socialism. He defines Socialism as "give the
government what you have and they will give you what they think you need." I
will concede that Mr. Horn was probably looking for a simplified definition,
this definition oversimplifies it, and not in a manner that it is too broad, but
quite the opposite: it leaves out other forms of Socialism. This is because Mr.
Horn is (understandably) thinking about Planned/Command Economy
Socialism,<sup><a href="#r2" >[2]</a></sup> which is the most common form in
which Socialism has been implemented. However, because of this
oversimplification, his definition fails to include a very real form of
Socialism named Market Socialism.<sup><a href="#r3" >[3]</a></sup> This is also
Socialist, and therefore condemned by the Church, and yet it will not fall under
Mr. Horn's definition of Socialism. Yet, if we're going to understand Socialism,
we should take it from real Socialists. As Marx himself defined it, "the theory
of the Communists may be summed up in the single sentence: Abolition of private
property."<sup><a href="#r4" >[4]</a> <a href="#n1" >(1)</a></sup> To change
this negative definition into a positive one, what a Communist/Socialist defends
is the collectivization of the means of production. Therefore, although this may
take form of collectivization into a State apparatus, as Mr. Horn is referring
to, it does not necessitate such. This is an important point, since the Church
condemns the very foundation of Socialism, which is Collectivism, meaning that
even these <i>lighter</i> forms of Socialism remain condemned by the Holy
Church.<sup><a href="#n2" >(2)</a></sup></p>

<p>Perhaps the reason why Mr. Horn creates such a limited definition for
Socialism is because he gives too wide of a definition for Capitalism. In the
video Mr. Horn starts by recognizing that Capitalism is a term coined by
Socialists, and most notably influenced by Karl Marx, and goes on to equivocate
Capitalism with Free Markets, saying that this is what he defends. The issue is
that this definition is actually much too broad, and therefore would actually
end up encompassing forms of Socialism that we have mentioned earlier. What's
more, if this is your definition of Capitalism, then truly Capitalism has
existed since the very beginnings of human trade &amp; commerce. Yet, if Mr.
Horn acknowledges that the term is of Socialist origin, would it not make sense
to use its Socialist meaning, especially when trying to explain it in relation
to Socialism? For Marx, we could say that Capitalism is a socio-economic system
which tends towards the accumulation of capital (i.e. means of production),
concentrated in the hands of a class of Capitalists, while the rest
(Proletarians) are forced to sell their labour. Taking this into consideration,
we can see that this does not include Market Socialism, and at the same time it
also means that there are possible free market economies which are neither
Socialist nor Capitalist (e.g. Feudalism, Distributism, etc.).</p>

<p>Taking this into consideration, I believe that Mr. Horn should reconsider the
definitions he's using. For in using a very restrictive definition of Socialism,
he leaves out models of Socialism, and in using a broad definition of
Capitalism, he includes forms of Socialism as well as other economic systems
which are not strictly Capitalist. Overall, his definitions cause confusion.</p>

<h3>Notes</h3>
<ol class="notes" >
	<li id="n1">
		What is meant in this quote by the terms "Communists" and "private
		property". In this time the term "Communist" was used mostly
		interchangeably with the term "Socialist". As for "private property",
		Marx states earlier in that same chapter that he is referring solely to
		what he calls "bourgeois property", and "not the abolition of property
		in general", which is a common misconception.
	</li>
	<li id="n2" >
		This does not mean that forms of Capitalism with State intervention, or
		other systems such as Distributism are condemned by the Church, as these
		do not fall under the category of Socialists as they both respect Man's
		right to private property.
	</li>
</ol>

<h3>References</h3>
<ol class="refs" >
	<li id="r1" >
		<a href="https://www.youtube.com/watch?v=bkSsKcE5ZP4"
		   target="_blank" >
		   "1 Thing Ben Shapiro & St. Paul Agree On... w/ Trent Horn" from Pints
		   with Aquinas on YouTube
		</a>
	</li>
	<li id="r2" >
		<a href="https://en.wikipedia.org/wiki/Economic_planning#In_socialism"
		   target="_blank" >
		   "Economic Planning: In Socialism" on Wikipedia
		</a>
	</li>
	<li id="r3" >
		<a href="https://en.wikipedia.org/wiki/Market_socialism"
		   target="_blank" >
		   "Market Socialism" on Wikipedia
		</a>
	</li>
	<li id="r4" >
		The Communist Manifesto, Ch. II: Proletarians and Communists, by Karl
		Marx &amp; Friedrich Engels
	</li>
</ol>

<?php
require 'templates/blog-footer.php';
?>