<?php
require 'config.php';
require '2024-02-15-religion-and-politics.cfg.php';
require 'templates/blog-header.php';
?>
<p>Religion &amp; politics, aside from being the two topics you are never
supposed to discuss in polite company, are also considered by modern standards
to be two realms that should never mix. That is to say, your religion should
never influence your politics and (to a lesser extent) <i>vice versa</i>.
However this view does not seem to hold up neither in theory nor in practice
except by adopting either a very limited and superficial understanding of
religion or a position of a purely economic role for the State (and in this
latter case, not even so).</p>

<p>To start in the general, we must focus on what both religion &amp; politics
are. Religion, although many people have many definitions for it, I believe it
may be concisely defined as rendering unto a greater being their due. One may
ask what is inherently due to such a being, but the answer is that evidently
humanity has always rendered homage to that which it considers to be greatest,
whether this be pagan deities, God, or more recently with one's own identity. In
one manner or another there is some entity which we consider to be worthy of
praise, worship, and respect to a greater degree than any other. This, in turn,
will generally come accompanied by a philosophy which explains why this entity
ought to be praised, worshipped, and respected above all other beings, and
evidently such a philosophy will also end up having repercussions on how, then,
we ought to view other beings in accordance to how each being relates ultimately
to this greatest one.</p>

<p>Politics, on the other hand, is the art of public policy; defining and
enforcing the rules by which we live together in a society. Some of these
policies are defined somewhat arbitrarily, in that it is simply used for the
convenience of having a common standard. An example would be the case of a
policy describing which side of the road to drive on (the left or the right), as
it ultimately does not matter so long as we all abide it to avoid collision.
These we can refer to as conventions. But other policies are defined not by
arbitrary or simply pragmatic judgement, but rather by moral or ethical
imperative such that the absence of such a policy or of its enforcement would be
permission to injustice. An example of this would be the prohibition of murder,
without which the injustice of murder would go unpunished. This we can refer to
as law. It is the latter of these two concepts which will be important for this
discussion. Furthermore, law, because it is not something arbitrary, will
necessarily be based on some value or principle which in turn proceeds from some
philosophy or worldview.</p>

<p>When considering these two definitions, although there may certainly be
manners in which one should not affect the other, it should be evident that
there are also a great many ways in which these two coincide and influence one
another, and more importantly how religion influences one's politics. For if one
simply considers religion to be a set of customary cultural rituals with no
further significance other than perhaps the sentimental then certainly such
religion (if we can call it that) will hardly influence one's politics. But true
religion which is defined by adherence to something greater and additionally
provides us with an understanding of the world and how entities relate and ought
to relate to one another, such religion will inevitably provide us with values,
values which we are obliged to bring to the political sphere since it is not
merely a matter of customs but of truth and of justice.</p>

<p>For this reason it is absurd for the modern secularist to claim that we ought
not to vote or enact policy in accordance to our religion, for then in
accordance to what are we supposed to vote and enact policy? It would be one
thing if we were speaking of certain ceremonial customs which it would not make
sense to impose upon those pertaining to another religion: precisely those
superficial elements of any religion which comprise its outward manifestations.
However, in regards to those matters which are not merely superficial
manifestations of piety, but substantial matters of ethics it is indeed unjustly
discriminatory and undemocratic to say that they ought not to be enacted as
policy on the basis of being proposed by a religious people. For at the core of
this argument lies either a tactical attempt to invalidate the religious
person's opinion (conveniently only applied when said religious person disagrees
with them) or an ignorant view that all ethical values of the religious person
(or at least those where disagreement is found) are merely the product of
arbitrary and groundless superstition. In either case the objective is to avoid
having to argue over the reasons for the disagreement: because the position is
influenced by the proponent's religious beliefs it therefore <i>ipso facto</i>
is not to be considered or in any way be taken seriously.</p>

<p>The fear, of course, when speaking of this subject is that certain
<em>moral</em> values that one does not agree with shall be imposed upon the
whole of society, even if one does not agree with said beliefs. Yet although
this fear can sometimes be reasonable there remains the fact that all law is
ultimately an imposition of moral values on society, and a there will always be
a segment of society that does not agree with those laws or believes their own
breaking of the laws to be the exception. The question with law and moral values
is not whether everyone can agree to them but whether they are true and
reasonable. Therefore it is to be expected that all persons in a society will
advocate policy in accordance to their values and we must accept or reject them
on the basis of truth. It is to be expected that vegans will encourage policy
which restricts or even bans our access to animal products; I would disagree
with such policy not because it is an imposition of belief, but because the
vegan attribution of personhood to animals is wrong. Similarly as a Catholic I
will encourage policy which seeks to restrict or even ban abortion, not out of
some fideistic imposition of values, but because of the truth that abortion is
murder. And therefore, just as I would argue with the vegan's worldview to
ensure that I have access to animal product, so too would I expect a similar
discussion to be had on the issue of abortion.</p>

<?php
require 'templates/blog-footer.php';
?>