<?php
require 'config.php';
require '2017-09-10-slow-and-happy.cfg.php';
require 'templates/blog-header.php';
?>
<p>For someone like me, one of the most damaging aspects of the society we live in is the constant stress and anxiety we feel throughout our lives, how we rarely have the time to reflect, to stop and think for a while, or simply to do nothing (yes, I mean nothing). I believe there are multiple reasons for this kind of behaviour and stress, multiple reasons why we are extremely over our heads with no time for ourselves or those around us, and as one can read online, there are many that agree with me.</p>

<p>One of the things I seek in my life the most is leisure time, time where nothing is planned, nothing is structured, those free slots in my schedule where I can decide what I want to do in the moment. During this leisure time I have the ability to take part in a variety of activities that can allow me to express myself through different productive and creative mediums. This gives me lots of time to concentrate on things that I enjoy doing and can see the fruits of my own production. However, it seems that society is constantly working against me in this regard, wanting me to constantly do other things, and there are a few things in our daily lives that do this to us through various means. They work as time hoarders, distracting us from the passage of time and leaving us somewhat numb and divorced from reality (something that many enjoy at the end of a long work week to avoid having to deal with their stressful lives). These time hoarders work as opiates to pacify us, but only in the sense that we are left helplessly without time to ourselves, and the time, instead of being taken advantage of to enjoy it in something that will create long-term happiness, we take a dose of the opiate the pacifies in preparation for the next laborious work week.</p>

<p>The first time hoarder I see is social media, and it's not very hard to find multiple sources (including the <a href="https://www.nytimes.com/2016/05/06/business/facebook-bends-the-rules-of-audience-engagement-to-its-advantage.html" target="_blank" >New York Times</a> and <a href="http://www.telegraph.co.uk/finance/newsbysector/mediatechnologyandtelecoms/11610959/Is-your-daily-social-media-usage-higher-than-average.html" target="_blank" >The Telegraph</a>). These sources state that we spend, on average, about an hour of our time every day on Facebook at least. On <a href="https://www.statista.com/statistics/433871/daily-social-media-usage-worldwide/" target="_blank" >The Statistics Portal</a> an even higher average is shown for the worldwide demographic of social media users from 2012 to 2016 (which I can only assume will get larger as time passes) of 118 minutes a day, almost two hours of your waking day, which assuming one sleeps eight hours, is a whopping 12.29% of one's waking hours. Supposing that half of this time is spent during work hours ('cause some people will look at their social media during work), that's still a 12.29% of one's free time (which means that if you don't look at social media at work it may be worse). What's more, social media also has many negative effects in one's attention span and (quite importantly) psychology, as is explained by <a href="https://www.youtube.com/watch?v=3E7hkPZ-HTk" target="_blank" >Cal Newport in his TEDx presentation</a>. If you would like to free up a good chunk of time, delete your social media accounts or at least setup a lock on it by which you can only look at it for a certain amount of time each day (or a week might be better, 15-30 minutes a week).</p>

<p>Another huge time hoarder is the television, but not only in the form of the physical television set you may have in your living room (and hopefully not your own personal room), but also in the form of Netflix (which one watches on other screen devices) and even YouTube. On TV alone the US Bureau of Labour Statistics estimates that <a href="https://www.bls.gov/news.release/atus.nr0.htm" target="_blank" >just over half of the average American's <i>leisure time</i> is spent watching the television</a>. There is also another article by the New York Daily News that suggests that <a href="http://www.nydailynews.com/life-style/average-american-watches-5-hours-tv-day-article-1.1711954" target="_blank" >Americans watch an average of 5 hours of television a day</a> (noting, of course, that it varies widely depending on age). This can be combined with YouTube, which <a href="http://www.businessinsider.com/youtube-video-watch-time-grew-60-2015-7?IR=T" target="_blank" >on mobile devices alone people watch an average of 40 minutes daily</a>. Netflix can also be time consuming (although it may have been incorporated into the previous statistic of television watching) <a href="https://www.fool.com/investing/general/2016/01/15/how-much-time-does-the-average-subscriber-spend-wa.aspx" target="_blank" >with an estimated of 1.8 daily hours</a>.</p>

<p>Adding all this together, the television, YouTube (and Netflix and any other passive video watching substitute), and social media, the hours quickly add up and much of our free time (if not all of it) is lost. However changing it isn't easy either, even I, who have left social media, despise the television, and only look up specific YouTube videos to watch (mostly being music, and this rarely), have a hard time divorcing myself from the stressfulness of society. All too often you are pulled into the stress of others, it becomes something toxic (and even contagious). This is inevitable considering that the only way out would be to leave society completely and form anew with like minded people, which isn't exactly a great idea for those of us who enjoy certain parts of society (like the internet). So for those of us who wish to get rid of this stress our solution is simply to live on the margins of society, giving for what we take, and minimizing any of the negative effects it has.</p>

<p>For people who are trying to leave this stressful life it tends to be quite difficult because of the addictiveness of these opiates. Cal Newport put it very well in his TEDx video, but what he says applies not only to social media, but also to these other time hoarders, that <a href="https://www.youtube.com/watch?v=3E7hkPZ-HTk" target="_blank" >they are comparable to a slot machine in a casino</a> (except in the case of social media we bring the slot machine with us everywhere all day long in our pockets). Television shows, ads, YouTube videos, Netflix series, social media, and all these other time hoarders are all designed to capture your attention and keep it for as long as possible. It's not surprising that this would be the case considering that the way these businesses make their money is precisely by doing that, and if they didn't work then they'd change their methods until it did. As such they are extremely addictive, and to an extent give you small highs of temporary, short-term happiness. However, this does not equate to actual happiness, nor something that will make you happy over long periods of time. Long-term happiness is most effectively achieved through productivity, creativity (real creativity, not "I use an Apple" creativity), and shared experiences. It does not take much to realize this. When one reaches a goal they feel extremely satisfied, and if this goal is something demonstrable (such as losing weight, getting off of tobacco or alcohol, writing a song, or creating a painting) one can even feel pride and continuously reminisce of this achievement, bringing happiness as one remembers what the have achieved. It may also help one to feel as though they have had a more fulfilled life, and therefore feel less worried about aging, or even death.</p>

<p>You can conclude from this what you will, and do what you please after reading this, but I'm pretty sure that if you free up some time in your day, and even do a little bit of nothing here and there, you'll end up feeling a lot happier with yourself.</p>


<?php
require 'templates/blog-footer.php';
?>